Get all billing controls
get
/fscmRestApi/resources/11.13.18.05/contracts/{contractsUniqID}/child/ContractLine/{LineId}/child/BillingControl
Request
Path Parameters
-
LineId(required): integer(int64)
The unique identifier of the contract line.
-
contractsUniqID(required): string
This is the hash key of the attributes which make up the composite key for the Contracts resource and used to uniquely identify an instance of Contracts. The client should not generate the hash key value. Instead, the client should query on the Contracts collection resource in order to navigate to a specific instance of Contracts to get the hash key.
Query Parameters
-
dependency: string
This parameter specifies dependencies which are fields that are set before and rolled back after generating the response. Generally they are used to preview the effects of an attribute change. The fields specified in this parameter are always set in the resource instance in question. When a child resource collection is requested and the parameter is set, the fields will be set in the parent resource instance before generating the resource collection payload. The value of this query parameter is a set of dependency fields. Example: dependency=ProductId=2
Format: <attr1>=<val1>,<attr2>=<value2> -
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format: ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables:- BillingControlExtAltKey: Finds the billing contro ld with the specified billing control external alternate key.
Finder Variables:- ExternalReferenceKey; string.
- ExternalSourceKey; string.
- PrimaryKey: Finds the billing control with the specifed billing control ID and major version.
Finder Variables:- BillingControlId; integer; The billing control ID.
- MajorVersion; integer; The major version.
- BillingControlExtAltKey: Finds the billing contro ld with the specified billing control external alternate key.
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- ActiveFlag; boolean; Indicates whether the billing control is active.
- BillingControlId; integer; The unique identifier of the billing control.
- EndDate; string; The date when the billing control ends.
- ExternalReferenceKey; string; The reference key in the external source.
- ExternalSourceKey; string; The external source key of the billing control.
- HardLimitAmount; number; The hard limit for the billing control.
- MajorVersion; integer; The contract version of the billing control.
- RbsElementId; integer; The identifier of the Resource Breakdown structure Element for which Billing control is defined.
- SoftLimitAmount; number; The soft limit for the billing control.
- StartDate; string; The date when the billing control starts.
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : contracts-ContractLine-BillingControl
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : contracts-ContractLine-BillingControl-item-response
Type:
Show Source
object-
ActiveFlag: boolean
Title:
ActiveMaximum Length:1Default Value:trueIndicates whether the billing control is active. -
BillingControlId: integer
(int64)
The unique identifier of the billing control.
-
BillingResource: string
Title:
Billing ResourceThe Resource Breakdown structure Element for which Billing control is defined. -
EndDate: string
(date)
Title:
End DateThe date when the billing control ends. -
ExternalReferenceKey: string
Maximum Length:
150The reference key in the external source. -
ExternalSourceKey: string
Maximum Length:
150The external source key of the billing control. -
HardLimitAmount: number
Title:
Hard LimitThe hard limit for the billing control. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
MajorVersion: integer
(int64)
The contract version of the billing control.
-
RbsElementId: integer
(int64)
Title:
Billing Resource IDThe identifier of the Resource Breakdown structure Element for which Billing control is defined. -
SoftLimitAmount: number
Title:
Soft LimitThe soft limit for the billing control. -
StartDate: string
(date)
Title:
Start DateThe date when the billing control starts.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Examples
The following example shows how to get all billing control by submitting a GET request on the REST resource using cURL.
cURL Command
curl -X GET "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/{contractsUniqID}/child/ContractLine/2456773322689/child/BillingControl" \
-u "username:password" \
-H "REST-Framework-Version: 8"
Example of Response Body
The following shows the contents of the response body in JSON format.
{
"items": [
{
"Id": 100000016879729,
"MajorVersion": 1,
"ExternalSource": null,
"ExternalKey": null,
"InvConvRateTypeName": "Spot",
"InvConvRateDateTypeName": "Transaction date",
"OrgName": "Vision Operations",
"OrgId": 204,
"ContractTypeName": "Sell : Project lines",
"ContractClass": "CONTRACT",
"ContractTypeId": 104,
"ContractNumber": "zBI_BLP5",
"ContractNumberModifier": null,
"Cognomen": "zBI_BLP5",
"BuyOrSell": "S",
"PartyId": 1004,
"PartyName": "Hilman and Associates",
"InvOrganizationId": 204,
"StsCode": "DRAFT",
"CurrencyCode": "USD",
"StartDate": "2010-04-05",
"EndDate": null,
"TrnCode": null,
"SupplierId": null,
"SupplierSiteId": null,
"InvConvRateType": "Spot",
"InvConvRateDateType": "TRANSACTION",
"InvConvRateDate": null,
"InvTrxTypeId": 4,
"InvTrxTypeName": null,
"InvPrepayTrxTypeId": null,
"InvPrepayTrxTypeName": null,
"BillToAccountId": 1004,
"BillToAccount": "Hilman and Associates",
"BillToAccountNumber": "1004",
"BillToSiteUseId": 1017,
"BillToSiteUseLocation": "Tulsa (OPS)",
"BillToAddress": "1230 East 60th Street South,OK",
"ShipToAccountId": 1004,
"ShipToAccount": "Hilman and Associates",
"ShipToAccountNumber": "1004",
"ShipToSiteUseId": 1018,
"ShipToSiteUseLocation": "Tulsa (OPS)",
"ShipToAddress": "1230 East 60th Street South,OK",
"ShipToAccountDescription": "Hilman and Associates",
"SoldToAccountId": 1004,
"SoldToAccount": "Hilman and Associates",
"SoldToAccountNumber": "1004",
"SoldToSiteId": 1030,
"SoldToNumber": "San Jose (OPS)",
"SoldToAddress": "320 N First St,SAN JOSE, CA 95113",
"SoldToAccountDescription": "Hilman and Associates",
"ShipInvOrgId": null,
"RecvInvOrgId": null,
"LegalEntityId": 204,
"OutputTaxClassificationCode": null,
"DateApproved": null,
"DatetimeCancelled": null,
"DateSigned": null,
"DateTerminated": null,
"TerminateCancelSource": null,
"ContributionPercent": 1,
"BillSequence": 1,
"OverallRiskCode": null,
"ShortDescription": null,
"Description": "zBI_BLP5",
"HoldReasonCode": null,
"HoldUntilDate": null,
"AmendmentEffectiveDate": null,
"TaxExemptionControl": "S",
"ExemptCertificateNumber": null,
"ExemptReasonCode": "Standard",
"ProjectEnabledFlag": true,
"OutputTaxSetId": 204,
"PartyObjectType": "OKX_PARTY",
"PrimaryLedgerId": 1,
"CustomerPartyId": 1004,
"CustomerPartySiteId": 1018,
"GeneratedInvoiceStatus": "D",
"OwningOrgId": 204,
"NetInvoiceFlag": false,
"VersionType": "C",
"OwningOrgName": "Vision Operations",
"TaxClassificationMeaning": null,
"ExemptionReasonMeaning": null,
"FreightTerms": null,
"FOB": null,
"ApTermsId": null,
"TermsEnabledFlag": true,
"AmendRenderedFlag": "false",
"DeleteRenderedFlag": "true",
"ShipToLocationId": null,
"CancelRenderedFlag": true,
"CloseRenderedFlag": "false",
"ApplyHoldRenderedFlag": "false",
"RemoveHoldRenderedFlag": "false",
"RevertRenderedFlag": "false",
"SignContractRenderedFlag": "false",
"ServiceEnabledFlag": "false",
"EstimatedAmount": 20000,
"TaxAmount": 0,
"LastUpdateDate": "2025-12-18T13:14:07+00:00",
"LastUpdateLogin": "-1",
"LastUpdatedBy": "FUSION",
"VersionEnabledFlag": true,
"SubmitRenderedFlag": "true",
"CreatedBy": "CUSTOMER_CONTRACT_MANAGER_VISION_OPERATIONS",
"CreationDate": "2010-04-05T00:00:00+00:00",
"CurrencyConversionEnabledFlag": "Y",
"LedgerCurrency": "USD",
"BilltoLocationId": null,
"StopApprovalRenderedFlag": "false",
"ValidateContractRenderedFlag": "true",
"AgreedAmount": null,
"AgreementAmountLimit": null,
"MinimumReleaseAmount": null,
"EncumbranceLevel": null,
"CarrierId": null,
"CarrierName": null,
"CloseReason": null,
"CancelReason": null,
"AuthoringPartyCode": null,
"PCDFileName": null,
"HoldReasonMeaning": null,
"PrimaryPartyId": 1004,
"OrigSystemId": 100000016732327,
"OrigSystemReference": "1",
"OrigSystemSourceCode": "OKCCOPY",
"ItemSourceCode": "PRODUCT_MASTER",
"StateTransitionFlowName": null,
"StateTransitionFlowState": "DRAFT",
"UserStatusCode": null,
"AssigneeType": null,
"AssigneeId": null,
"Assignee": null,
"CustomerPONumber": null,
"ApprovalNote": null,
"AccessLevel": "UPDATE",
"ContractEditableFlag": "true",
"TemplateFlag": false,
"BillingSalesrepId": null,
"BillingSalesrepName": null,
"EnableManageSignature": "N",
"ReopenEnabledFlag": false,
"VersionDescription": null,
"AllowTeamUserBUAccess": "true",
"PriceList": null,
"AdjustmentBasis": null,
"CommitmentAmount": 0,
"DiscountPercent": null,
"AllowGrantContractType": "N",
"PriceListName": null,
"TrnCodeSetId": null,
"HoldReasonCodeSetId": null,
"WebServiceFlag": null,
"TermsTemplateId": null,
"ContractOwnerId": null,
"Status": "Draft",
"BuyOrSell_Meaning": "Sell",
"AuthoringPartyMeaning": null,
"InvOrgName": "Vision Operations",
"Supplier": null,
"SupplierSite": null,
"ShipInvOrg": null,
"RecvInvOrg": null,
"Currency": "US Dollar",
"UserStatusMeaning": null,
"LegalEntityName": "Vision Operations",
"ShipToOrgLocation": null,
"BillToLocation": null,
"AllowLinesFlag": true,
"EnableElectronicSignFlag": false,
"ContractTrueValue": null,
"ShipToPartyId": null,
"PricingStrategyId": null,
"PricingStrategyName": null,
"PricingSegmentCode": null,
"PricingEffectivityDate": null,
"ShipToPartyName": null,
"ShipToPartySiteLocation": null,
"CustomerPartyName": "Hilman and Associates",
"TermsTemplateName": null,
"TrxnExtensionId": null,
"BillToAccountPartyId": 1004,
"RenewalType": null,
"UnderMigrationFlag": null,
"TargetLineName": null,
"TargetLineId": null,
"TargetLineMajorVer": null,
"ContractId": 100100069549037,
"CorpCurrencyCode": null,
"CurcyConvRateType": null,
"PrimarySalesrepId": null,
"AmendNoVersionFlag": false,
"AutoSendForSignature": null,
"PriceApplicationRule": null,
"EsignTemplateId": null,
"SignContract": null,
"SendForSignature": null,
"NonStandardClauseCount": "0",
"CancelReasonSetCode": null,
"CloseReasonSetCode": null,
"HoldReasonSetCode": null,
"ContractPuid": "KHDR-79",
"EncumbranceLevelMeaning": null,
"FOBMeaning": null,
"FreightTermsMeaning": null,
"TaxExemptionControlMeaning": "Standard",
"SourceDocumentId": null,
"SourceDocumentSystemCode": null,
"SourceDocumentDisplayNumber": null,
"ApTermsName": null,
"RunContractExpertFlag": null,
"DocumentType": "ECM_SELL",
"ShareWithExternalPartyYn": "N",
"BaseContractYN": "N",
"SkipPDPFlag": null,
"InterCompanyFlag": false,
"InterProjectFlag": false,
"LineClassCode": "PROJECT",
"AiSummaryAttachInApprovalFlag": null,
"AiSummaryGenerateDate": null,
"AiSummaryPcdIncludedFlag": true,
"AiSummaryRequestId": null,
"AiSummaryRequestStatus": null,
"AiSummaryRequestStatusMeaning": null,
"SourceDocumentSystemMeaning": null,
"ContractTermsSourceCode": null,
"SimpleContractYn": null,
"TermsAuthoringPartyCode": null,
"AiAdvisorAgentFlag": null,
"TermsAuthoringPartyMeaning": null,
"ContractTermsSourceMeaning": null,
"FulfillmentStatus": null,
"FulfillmentStatusMeaning": null,
"PoDocumentStyleDisplay": null,
"PoDocumentStatusDisplay": null,
"PoSupplierName": null,
"PoHeaderId": null,
"PoVersionId": null,
"ProcessingId": null,
"ShareInSupplierPortalRenderedFlag": false,
"RedwoodFlag": null,
"ExtractKeyTermsRenderedFlag": false,
"PoDocumentNumber": null,
"AiSummSubmittedBy": null,
"AiSummSubmittedDate": null,
"AiSummSubmittedByDispName": null,
"SmartRedlineAgentTeamCode": null,
"ContractConstant": "CONTRACT",
"PoDocumentStatusCode": null,
"FulfillmentChrId": null,
"ContractLine": {
"items": [
{
"LineNumber": "Line1",
"Id": 100010033157476,
"LineId": 100100095826372,
"MajorVersion": 1,
"LineTypeId": 101,
"LineTypeName": "Free-form, project",
"StsCode": "DRAFT",
"LineStatus": "Draft",
"Object1Id1": null,
"Object1Id2": null,
"ItemName": "Line1",
"ItemNameTxt": "Line1",
"ItemDescription": "Line1",
"StartDate": "2010-04-05",
"EndDate": null,
"PriceListId": null,
"PriceList": null,
"UOMCode": null,
"UnitOfMeasure": null,
"FixedPriceServiceYn": "N",
"ItemQuantity": null,
"UnitPrice": null,
"LineValueAmount": 20000,
"LineAmount": 20000,
"Comments": null,
"AgreedQuantity": null,
"AgreedAmount": null,
"AgreementQuantityLimit": null,
"AgreementAmountLimit": null,
"MinimumReleaseQuantity": null,
"MinimumReleaseAmount": null,
"CommitLevelCode": null,
"CommitLevel": null,
"PriceBookId": null,
"PriceBook": null,
"AllowPricelistOverrideYn": null,
"ListPrice": null,
"FloorPrice": null,
"AgreementPriceLimit": null,
"AgreementUnitPrice": null,
"AdjustmentTypeCode": null,
"AdjustmentType": null,
"AdjustmentBasisId": null,
"AdjustmentBasisCode": null,
"AdjustmentAmount": null,
"AllowCustomAdjustmentsFlag": null,
"DateTerminated": null,
"HoldUntilDate": null,
"TrnCodeSetId": null,
"TrnCode": null,
"CloseReason": null,
"HoldReasonCodeSetId": null,
"HoldReasonCode": null,
"HoldReason": null,
"AtRiskYn": "N",
"PercentComplete": null,
"ShipToAccountId": 1004,
"ShipToAccount": "Hilman and Associates",
"ShipToAccountNumber": "1004",
"ShipToSiteUseId": 1018,
"ShipToSite": "Tulsa (OPS)",
"ShipInvOrgId": null,
"WareHouse": null,
"BillPlanId": 100000016879730,
"BillPlan": "billplan1",
"RevenuePlanId": 100000016879732,
"RevenuePlan": "revplan1",
"RevenueAmount": "0",
"OutputTaxClassificationCode": null,
"OutputTaxClassMeaning": null,
"TaxExemptionControl": null,
"TaxExemptionControlMeaning": null,
"ExemptCertificateNumber": null,
"ExemptReasonCode": null,
"ExemptReason": null,
"LastRevenueRecogDate": null,
"CustomerPONumber": null,
"DeliveryDate": null,
"SupplierId": null,
"Supplier": null,
"SupplierSiteId": null,
"SupplierSiteName": null,
"RecvInvOrgId": null,
"RecInvOrgName": null,
"RecvLocationId": null,
"ShipToOrgLocation": null,
"AgreementPriceOverAllwdYn": "N",
"FOBCode": null,
"FOB": null,
"FreightTermsCode": null,
"FreightTerms": null,
"PaymentTermsId": null,
"PaymentTerms": null,
"PurchasingCategoryId": null,
"PurchasingCategory": null,
"CarrierId": null,
"CarrierName": null,
"VendorSiteId": null,
"OrigSystemReference": "1",
"OrigSystemSourceCode": "OKCCOPY",
"Cognomen": null,
"TaxAmount": null,
"ExternalSource": null,
"ExternalKey": null,
"AllowPromotionsYn": "N",
"PricingEffectivityDate": null,
"DateCancelled": null,
"CancelReason": null,
"PriceAsOf": null,
"EstimatedVariableConsiderationAmount": null,
"StandaloneSellingPrice": null,
"PriceApplicationRule": null,
"AutoApplyStrategyPriceAdjustmentFlag": null,
"LinePuid": "LINE-34",
"SourceDocumentDisplayLineNumber": null,
"SourceDocumentDisplayNumber": null,
"SourceDocumentId": null,
"SourceDocumentLineId": null,
"SourceDocumentSystemCode": null,
"BillPlanExternalSource": null,
"BillPlanExternalKey": null,
"RevenuePlanExternalSource": null,
"RevenuePlanExternalKey": null,
"TrnSetCode": null,
"HoldReasonSetCode": null,
"ContractPuid": null,
"BillingControl": {
"items": [
{
"BillingControlId": 100000016879736,
"MajorVersion": 1,
"RbsElementId": null,
"BillingResource": null,
"StartDate": "2010-04-05",
"EndDate": null,
"SoftLimitAmount": 20000,
"HardLimitAmount": null,
"ActiveFlag": true,
"ExternalSourceKey": null,
"ExternalReferenceKey": null,
"@context": {
"key": "100000016879736,1",
"headers": {
"ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000278"
},
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/ContractLine/100100095826372/child/BillingControl/100000016879736%2C1",
"name": "BillingControl",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/ContractLine/100100095826372/child/BillingControl/100000016879736%2C1",
"name": "BillingControl",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/ContractLine/100100095826372",
"name": "ContractLine",
"kind": "item"
}
]
}
}
],
"count": 1,
"hasMore": false,
"limit": 3,
"offset": 0,
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/ContractLine/100100095826372/child/BillingControl",
"name": "BillingControl",
"kind": "collection"
}
]
},
"@context": {
"key": "100100095826372",
"headers": {
"ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000278"
},
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/ContractLine/100100095826372",
"name": "ContractLine",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/ContractLine/100100095826372",
"name": "ContractLine",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037",
"name": "contracts",
"kind": "item"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/ContractLine/100100095826372/child/AssociatedProject",
"name": "AssociatedProject",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/ContractLine/100100095826372/child/BillingControl",
"name": "BillingControl",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/ContractLine/100100095826372/child/ContractAllLineDesFlexVA",
"name": "ContractAllLineDesFlexVA",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/ContractLine/100100095826372/child/ContractLineTranslation",
"name": "ContractLineTranslation",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/ContractLine/100100095826372/child/Milestone",
"name": "Milestone",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/ContractLine/100100095826372/child/PricingTerm",
"name": "PricingTerm",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/ContractLine/100100095826372/child/ProjectContractLineInternalAttributes",
"name": "ProjectContractLineInternalAttributes",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/ContractLine/100100095826372/child/SalesCredit",
"name": "SalesCredit",
"kind": "collection"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/ContractLine/100100095826372/action/refreshPricingTerms",
"name": "refreshPricingTerms",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/ContractLine/100100095826372/action/removeTieredAdjustment",
"name": "removeTieredAdjustment",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/ContractLine/100100095826372/action/getUpdatableAttributes",
"name": "getUpdatableAttributes",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/ContractLine/100100095826372/action/reopen",
"name": "reopen",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/ContractLine/100100095826372/action/applyHold",
"name": "applyHold",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/ContractLine/100100095826372/action/removeHold",
"name": "removeHold",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/ContractLine/100100095826372/action/close",
"name": "close",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/ContractLine/100100095826372/action/cancel",
"name": "cancel",
"kind": "other"
},
{
"rel": "enclosure",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/ContractLine/100100095826372/enclosure/SourceSystemAttributes",
"name": "SourceSystemAttributes",
"kind": "other"
}
]
}
}
],
"count": 1,
"hasMore": false,
"limit": 3,
"offset": 0,
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/ContractLine",
"name": "ContractLine",
"kind": "collection"
}
]
},
"@context": {
"key": "100100069549037",
"headers": {
"ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000778"
},
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037",
"name": "contracts",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037",
"name": "contracts",
"kind": "item"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/AiGenerateSummaryDocs",
"name": "AiGenerateSummaryDocs",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/BillPlan",
"name": "BillPlan",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/BillingControl",
"name": "BillingControl",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/ContractApprovalHistory",
"name": "ContractApprovalHistory",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/ContractDocuments",
"name": "ContractDocuments",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/ContractEsignHistory",
"name": "ContractEsignHistory",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/ContractHeaderFlexfieldVA",
"name": "ContractHeaderFlexfieldVA",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/ContractHeaderTranslation",
"name": "ContractHeaderTranslation",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/ContractLine",
"name": "ContractLine",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/ContractParty",
"name": "ContractParty",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/ContractStatusHistory",
"name": "ContractStatusHistory",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/ContractTerms",
"name": "ContractTerms",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/ExternalSharedDocuments",
"name": "ExternalSharedDocuments",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/InternalSharedDocuments",
"name": "InternalSharedDocuments",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/Note",
"name": "Note",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/RelatedDocument",
"name": "RelatedDocument",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/RevenuePlan",
"name": "RevenuePlan",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/SalesCredit",
"name": "SalesCredit",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/Section",
"name": "Section",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/SupportingDocuments",
"name": "SupportingDocuments",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/UploadedRevisions",
"name": "UploadedRevisions",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/contractKeyTermExtracts",
"name": "contractKeyTermExtracts",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/child/smartActions",
"name": "smartActions",
"kind": "collection"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/action/validateContract",
"name": "validateContract",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/action/createVersion",
"name": "createVersion",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/action/revertContract",
"name": "revertContract",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/action/sign",
"name": "sign",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/action/submitForApproval",
"name": "submitForApproval",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/action/downloadLatestContractDocument",
"name": "downloadLatestContractDocument",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/action/classifyKeyTerms",
"name": "classifyKeyTerms",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/action/stopApproval",
"name": "stopApproval",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/action/getUpdatableAttributes",
"name": "getUpdatableAttributes",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/action/reopen",
"name": "reopen",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/action/getAllInternalPartyContacts",
"name": "getAllInternalPartyContacts",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/action/getAllExternalPartyContacts",
"name": "getAllExternalPartyContacts",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/action/downloadAIContractSummaryPDF",
"name": "downloadAIContractSummaryPDF",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/action/isContractRedwoodCompatible",
"name": "isContractRedwoodCompatible",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/action/getDefaultTermsTemplate",
"name": "getDefaultTermsTemplate",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/action/applyHold",
"name": "applyHold",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/action/removeHold",
"name": "removeHold",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/action/cancel",
"name": "cancel",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/action/duplicate",
"name": "duplicate",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/action/preview",
"name": "preview",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/action/close",
"name": "close",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/action/amend",
"name": "amend",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/action/extractKeyTermValues",
"name": "extractKeyTermValues",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/action/downloadContractTermsInWord",
"name": "downloadContractTermsInWord",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/action/generateContractSummary",
"name": "generateContractSummary",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/action/shareInSupplierPortal",
"name": "shareInSupplierPortal",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/action/createContractEnvelopeForSignature",
"name": "createContractEnvelopeForSignature",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/action/manageContractEnvelopeStatus",
"name": "manageContractEnvelopeStatus",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/action/manageContractSignatureEnvelope",
"name": "manageContractSignatureEnvelope",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/action/removeContractTerms",
"name": "removeContractTerms",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/action/getSignedContractEnvelopeHistoryUrl",
"name": "getSignedContractEnvelopeHistoryUrl",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/action/addContractTermsStructured",
"name": "addContractTermsStructured",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/action/addContractTermsAttachedDocument",
"name": "addContractTermsAttachedDocument",
"kind": "other"
},
{
"rel": "enclosure",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549037/enclosure/AiSummary",
"name": "AiSummary",
"kind": "other"
}
]
}
},
{
"Id": 100000013568241,
"MajorVersion": 1,
"ExternalSource": null,
"ExternalKey": null,
"InvConvRateTypeName": "Spot",
"InvConvRateDateTypeName": "Transaction date",
"OrgName": "Vision Operations",
"OrgId": 204,
"ContractTypeName": "Sell : Project lines",
"ContractClass": "CONTRACT",
"ContractTypeId": 104,
"ContractNumber": "aPJB contract1 (VO)",
"ContractNumberModifier": null,
"Cognomen": null,
"BuyOrSell": "S",
"PartyId": 1004,
"PartyName": "Hilman and Associates",
"InvOrganizationId": 204,
"StsCode": "DRAFT",
"CurrencyCode": "USD",
"StartDate": "2009-01-01",
"EndDate": null,
"TrnCode": null,
"SupplierId": null,
"SupplierSiteId": null,
"InvConvRateType": "Spot",
"InvConvRateDateType": "TRANSACTION",
"InvConvRateDate": null,
"InvTrxTypeId": 4,
"InvTrxTypeName": null,
"InvPrepayTrxTypeId": null,
"InvPrepayTrxTypeName": null,
"BillToAccountId": 1004,
"BillToAccount": "Hilman and Associates",
"BillToAccountNumber": "1004",
"BillToSiteUseId": 1017,
"BillToSiteUseLocation": "Tulsa (OPS)",
"BillToAddress": "1230 East 60th Street South,OK",
"ShipToAccountId": 1004,
"ShipToAccount": "Hilman and Associates",
"ShipToAccountNumber": "1004",
"ShipToSiteUseId": 1018,
"ShipToSiteUseLocation": "Tulsa (OPS)",
"ShipToAddress": "1230 East 60th Street South,OK",
"ShipToAccountDescription": "Hilman and Associates",
"SoldToAccountId": 1004,
"SoldToAccount": "Hilman and Associates",
"SoldToAccountNumber": "1004",
"SoldToSiteId": 1030,
"SoldToNumber": "San Jose (OPS)",
"SoldToAddress": "320 N First St,SAN JOSE, CA 95113",
"SoldToAccountDescription": "Hilman and Associates",
"ShipInvOrgId": 204,
"RecvInvOrgId": null,
"LegalEntityId": 204,
"OutputTaxClassificationCode": "CST",
"DateApproved": null,
"DatetimeCancelled": null,
"DateSigned": null,
"DateTerminated": null,
"TerminateCancelSource": null,
"ContributionPercent": 1,
"BillSequence": 1,
"OverallRiskCode": null,
"ShortDescription": null,
"Description": "Contract with lines in draft status\n",
"HoldReasonCode": null,
"HoldUntilDate": null,
"AmendmentEffectiveDate": null,
"TaxExemptionControl": "S",
"ExemptCertificateNumber": null,
"ExemptReasonCode": null,
"ProjectEnabledFlag": true,
"OutputTaxSetId": 204,
"PartyObjectType": "OKX_PARTY",
"PrimaryLedgerId": 1,
"CustomerPartyId": 1004,
"CustomerPartySiteId": 1018,
"GeneratedInvoiceStatus": "D",
"OwningOrgId": 204,
"NetInvoiceFlag": false,
"VersionType": "C",
"OwningOrgName": "Vision Operations",
"TaxClassificationMeaning": "CST",
"ExemptionReasonMeaning": null,
"FreightTerms": null,
"FOB": null,
"ApTermsId": null,
"TermsEnabledFlag": true,
"AmendRenderedFlag": "false",
"DeleteRenderedFlag": "true",
"ShipToLocationId": null,
"CancelRenderedFlag": true,
"CloseRenderedFlag": "false",
"ApplyHoldRenderedFlag": "false",
"RemoveHoldRenderedFlag": "false",
"RevertRenderedFlag": "false",
"SignContractRenderedFlag": "false",
"ServiceEnabledFlag": "false",
"EstimatedAmount": 1000000,
"TaxAmount": null,
"LastUpdateDate": "2025-12-18T13:14:07+00:00",
"LastUpdateLogin": "-1",
"LastUpdatedBy": "FUSION",
"VersionEnabledFlag": true,
"SubmitRenderedFlag": "true",
"CreatedBy": "OPERATIONS",
"CreationDate": "2009-10-27T00:25:11+00:00",
"CurrencyConversionEnabledFlag": "Y",
"LedgerCurrency": "USD",
"BilltoLocationId": null,
"StopApprovalRenderedFlag": "false",
"ValidateContractRenderedFlag": "true",
"AgreedAmount": null,
"AgreementAmountLimit": null,
"MinimumReleaseAmount": null,
"EncumbranceLevel": null,
"CarrierId": null,
"CarrierName": null,
"CloseReason": null,
"CancelReason": null,
"AuthoringPartyCode": null,
"PCDFileName": null,
"HoldReasonMeaning": null,
"PrimaryPartyId": 1004,
"OrigSystemId": null,
"OrigSystemReference": null,
"OrigSystemSourceCode": null,
"ItemSourceCode": "PRODUCT_MASTER",
"StateTransitionFlowName": null,
"StateTransitionFlowState": "DRAFT",
"UserStatusCode": null,
"AssigneeType": null,
"AssigneeId": null,
"Assignee": null,
"CustomerPONumber": null,
"ApprovalNote": null,
"AccessLevel": "UPDATE",
"ContractEditableFlag": "true",
"TemplateFlag": false,
"BillingSalesrepId": null,
"BillingSalesrepName": null,
"EnableManageSignature": "N",
"ReopenEnabledFlag": false,
"VersionDescription": null,
"AllowTeamUserBUAccess": "true",
"PriceList": null,
"AdjustmentBasis": null,
"CommitmentAmount": 0,
"DiscountPercent": null,
"AllowGrantContractType": "N",
"PriceListName": null,
"TrnCodeSetId": null,
"HoldReasonCodeSetId": null,
"WebServiceFlag": null,
"TermsTemplateId": null,
"ContractOwnerId": null,
"Status": "Draft",
"BuyOrSell_Meaning": "Sell",
"AuthoringPartyMeaning": null,
"InvOrgName": "Vision Operations",
"Supplier": null,
"SupplierSite": null,
"ShipInvOrg": "Vision Operations",
"RecvInvOrg": null,
"Currency": "US Dollar",
"UserStatusMeaning": null,
"LegalEntityName": "Vision Operations",
"ShipToOrgLocation": null,
"BillToLocation": null,
"AllowLinesFlag": true,
"EnableElectronicSignFlag": false,
"ContractTrueValue": null,
"ShipToPartyId": null,
"PricingStrategyId": null,
"PricingStrategyName": null,
"PricingSegmentCode": null,
"PricingEffectivityDate": null,
"ShipToPartyName": null,
"ShipToPartySiteLocation": null,
"CustomerPartyName": "Hilman and Associates",
"TermsTemplateName": null,
"TrxnExtensionId": null,
"BillToAccountPartyId": 1004,
"RenewalType": null,
"UnderMigrationFlag": null,
"TargetLineName": null,
"TargetLineId": null,
"TargetLineMajorVer": null,
"ContractId": 100100069549043,
"CorpCurrencyCode": null,
"CurcyConvRateType": null,
"PrimarySalesrepId": null,
"AmendNoVersionFlag": false,
"AutoSendForSignature": null,
"PriceApplicationRule": null,
"EsignTemplateId": null,
"SignContract": null,
"SendForSignature": null,
"NonStandardClauseCount": "0",
"CancelReasonSetCode": null,
"CloseReasonSetCode": null,
"HoldReasonSetCode": null,
"ContractPuid": "KHDR-80",
"EncumbranceLevelMeaning": null,
"FOBMeaning": null,
"FreightTermsMeaning": null,
"TaxExemptionControlMeaning": "Standard",
"SourceDocumentId": null,
"SourceDocumentSystemCode": null,
"SourceDocumentDisplayNumber": null,
"ApTermsName": null,
"RunContractExpertFlag": null,
"DocumentType": "ECM_SELL",
"ShareWithExternalPartyYn": "N",
"BaseContractYN": "N",
"SkipPDPFlag": null,
"InterCompanyFlag": false,
"InterProjectFlag": false,
"LineClassCode": "PROJECT",
"AiSummaryAttachInApprovalFlag": null,
"AiSummaryGenerateDate": null,
"AiSummaryPcdIncludedFlag": true,
"AiSummaryRequestId": null,
"AiSummaryRequestStatus": null,
"AiSummaryRequestStatusMeaning": null,
"SourceDocumentSystemMeaning": null,
"ContractTermsSourceCode": null,
"SimpleContractYn": null,
"TermsAuthoringPartyCode": null,
"AiAdvisorAgentFlag": null,
"TermsAuthoringPartyMeaning": null,
"ContractTermsSourceMeaning": null,
"FulfillmentStatus": null,
"FulfillmentStatusMeaning": null,
"PoDocumentStyleDisplay": null,
"PoDocumentStatusDisplay": null,
"PoSupplierName": null,
"PoHeaderId": null,
"PoVersionId": null,
"ProcessingId": null,
"ShareInSupplierPortalRenderedFlag": false,
"RedwoodFlag": null,
"ExtractKeyTermsRenderedFlag": false,
"PoDocumentNumber": null,
"AiSummSubmittedBy": null,
"AiSummSubmittedDate": null,
"AiSummSubmittedByDispName": null,
"SmartRedlineAgentTeamCode": null,
"ContractConstant": "CONTRACT",
"PoDocumentStatusCode": null,
"FulfillmentChrId": null,
"ContractLine": {
"items": [
{
"LineNumber": "1",
"Id": 100000013568257,
"LineId": 100100095826474,
"MajorVersion": 1,
"LineTypeId": 101,
"LineTypeName": "Free-form, project",
"StsCode": "DRAFT",
"LineStatus": "Draft",
"Object1Id1": null,
"Object1Id2": null,
"ItemName": "Amt.based Inv. - Amt.based Rev.",
"ItemNameTxt": "Amt.based Inv. - Amt.based Rev.",
"ItemDescription": null,
"StartDate": "2009-01-01",
"EndDate": null,
"PriceListId": null,
"PriceList": null,
"UOMCode": null,
"UnitOfMeasure": null,
"FixedPriceServiceYn": "N",
"ItemQuantity": null,
"UnitPrice": null,
"LineValueAmount": 250000,
"LineAmount": 250000,
"Comments": null,
"AgreedQuantity": null,
"AgreedAmount": null,
"AgreementQuantityLimit": null,
"AgreementAmountLimit": null,
"MinimumReleaseQuantity": null,
"MinimumReleaseAmount": null,
"CommitLevelCode": null,
"CommitLevel": null,
"PriceBookId": null,
"PriceBook": null,
"AllowPricelistOverrideYn": null,
"ListPrice": null,
"FloorPrice": null,
"AgreementPriceLimit": null,
"AgreementUnitPrice": null,
"AdjustmentTypeCode": null,
"AdjustmentType": null,
"AdjustmentBasisId": null,
"AdjustmentBasisCode": null,
"AdjustmentAmount": null,
"AllowCustomAdjustmentsFlag": null,
"DateTerminated": null,
"HoldUntilDate": null,
"TrnCodeSetId": null,
"TrnCode": null,
"CloseReason": null,
"HoldReasonCodeSetId": null,
"HoldReasonCode": null,
"HoldReason": null,
"AtRiskYn": "N",
"PercentComplete": null,
"ShipToAccountId": 1004,
"ShipToAccount": "Hilman and Associates",
"ShipToAccountNumber": "1004",
"ShipToSiteUseId": 1018,
"ShipToSite": "Tulsa (OPS)",
"ShipInvOrgId": 204,
"WareHouse": "Vision Operations",
"BillPlanId": 100000013568247,
"BillPlan": "BP AB1",
"RevenuePlanId": 100000013568252,
"RevenuePlan": "RP AB1",
"RevenueAmount": "0",
"OutputTaxClassificationCode": "CST",
"OutputTaxClassMeaning": "CST",
"TaxExemptionControl": null,
"TaxExemptionControlMeaning": null,
"ExemptCertificateNumber": null,
"ExemptReasonCode": null,
"ExemptReason": null,
"LastRevenueRecogDate": null,
"CustomerPONumber": null,
"DeliveryDate": null,
"SupplierId": null,
"Supplier": null,
"SupplierSiteId": null,
"SupplierSiteName": null,
"RecvInvOrgId": null,
"RecInvOrgName": null,
"RecvLocationId": null,
"ShipToOrgLocation": null,
"AgreementPriceOverAllwdYn": "N",
"FOBCode": null,
"FOB": null,
"FreightTermsCode": null,
"FreightTerms": null,
"PaymentTermsId": null,
"PaymentTerms": null,
"PurchasingCategoryId": null,
"PurchasingCategory": null,
"CarrierId": null,
"CarrierName": null,
"VendorSiteId": null,
"OrigSystemReference": null,
"OrigSystemSourceCode": null,
"Cognomen": null,
"TaxAmount": null,
"ExternalSource": null,
"ExternalKey": null,
"AllowPromotionsYn": "N",
"PricingEffectivityDate": null,
"DateCancelled": null,
"CancelReason": null,
"PriceAsOf": null,
"EstimatedVariableConsiderationAmount": null,
"StandaloneSellingPrice": null,
"PriceApplicationRule": null,
"AutoApplyStrategyPriceAdjustmentFlag": null,
"LinePuid": "LINE-97",
"SourceDocumentDisplayLineNumber": null,
"SourceDocumentDisplayNumber": null,
"SourceDocumentId": null,
"SourceDocumentLineId": null,
"SourceDocumentSystemCode": null,
"BillPlanExternalSource": null,
"BillPlanExternalKey": null,
"RevenuePlanExternalSource": null,
"RevenuePlanExternalKey": null,
"TrnSetCode": null,
"HoldReasonSetCode": null,
"ContractPuid": null,
"BillingControl": {
"items": [
{
"BillingControlId": 100000013568258,
"MajorVersion": 1,
"RbsElementId": null,
"BillingResource": null,
"StartDate": "2009-01-01",
"EndDate": null,
"SoftLimitAmount": 250000,
"HardLimitAmount": null,
"ActiveFlag": true,
"ExternalSourceKey": null,
"ExternalReferenceKey": null,
"@context": {
"key": "100000013568258,1",
"headers": {
"ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000278"
},
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine/100100095826474/child/BillingControl/100000013568258%2C1",
"name": "BillingControl",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine/100100095826474/child/BillingControl/100000013568258%2C1",
"name": "BillingControl",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine/100100095826474",
"name": "ContractLine",
"kind": "item"
}
]
}
}
],
"count": 1,
"hasMore": false,
"limit": 3,
"offset": 0,
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine/100100095826474/child/BillingControl",
"name": "BillingControl",
"kind": "collection"
}
]
},
"@context": {
"key": "100100095826474",
"headers": {
"ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000378"
},
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine/100100095826474",
"name": "ContractLine",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine/100100095826474",
"name": "ContractLine",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043",
"name": "contracts",
"kind": "item"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine/100100095826474/child/AssociatedProject",
"name": "AssociatedProject",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine/100100095826474/child/BillingControl",
"name": "BillingControl",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine/100100095826474/child/ContractAllLineDesFlexVA",
"name": "ContractAllLineDesFlexVA",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine/100100095826474/child/ContractLineTranslation",
"name": "ContractLineTranslation",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine/100100095826474/child/Milestone",
"name": "Milestone",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine/100100095826474/child/PricingTerm",
"name": "PricingTerm",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine/100100095826474/child/ProjectContractLineInternalAttributes",
"name": "ProjectContractLineInternalAttributes",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine/100100095826474/child/SalesCredit",
"name": "SalesCredit",
"kind": "collection"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine/100100095826474/action/refreshPricingTerms",
"name": "refreshPricingTerms",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine/100100095826474/action/removeTieredAdjustment",
"name": "removeTieredAdjustment",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine/100100095826474/action/getUpdatableAttributes",
"name": "getUpdatableAttributes",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine/100100095826474/action/reopen",
"name": "reopen",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine/100100095826474/action/applyHold",
"name": "applyHold",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine/100100095826474/action/removeHold",
"name": "removeHold",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine/100100095826474/action/close",
"name": "close",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine/100100095826474/action/cancel",
"name": "cancel",
"kind": "other"
},
{
"rel": "enclosure",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine/100100095826474/enclosure/SourceSystemAttributes",
"name": "SourceSystemAttributes",
"kind": "other"
}
]
}
},
{
"LineNumber": "2",
"Id": 100000013568259,
"LineId": 100100095826471,
"MajorVersion": 1,
"LineTypeId": 101,
"LineTypeName": "Free-form, project",
"StsCode": "DRAFT",
"LineStatus": "Draft",
"Object1Id1": null,
"Object1Id2": null,
"ItemName": "Percent Complete Inv - Percent Complete Rev",
"ItemNameTxt": "Percent Complete Inv - Percent Complete Rev",
"ItemDescription": null,
"StartDate": "2009-01-01",
"EndDate": null,
"PriceListId": null,
"PriceList": null,
"UOMCode": null,
"UnitOfMeasure": null,
"FixedPriceServiceYn": "N",
"ItemQuantity": null,
"UnitPrice": null,
"LineValueAmount": 250000,
"LineAmount": 250000,
"Comments": null,
"AgreedQuantity": null,
"AgreedAmount": null,
"AgreementQuantityLimit": null,
"AgreementAmountLimit": null,
"MinimumReleaseQuantity": null,
"MinimumReleaseAmount": null,
"CommitLevelCode": null,
"CommitLevel": null,
"PriceBookId": null,
"PriceBook": null,
"AllowPricelistOverrideYn": null,
"ListPrice": null,
"FloorPrice": null,
"AgreementPriceLimit": null,
"AgreementUnitPrice": null,
"AdjustmentTypeCode": null,
"AdjustmentType": null,
"AdjustmentBasisId": null,
"AdjustmentBasisCode": null,
"AdjustmentAmount": null,
"AllowCustomAdjustmentsFlag": null,
"DateTerminated": null,
"HoldUntilDate": null,
"TrnCodeSetId": null,
"TrnCode": null,
"CloseReason": null,
"HoldReasonCodeSetId": null,
"HoldReasonCode": null,
"HoldReason": null,
"AtRiskYn": "N",
"PercentComplete": null,
"ShipToAccountId": 1004,
"ShipToAccount": "Hilman and Associates",
"ShipToAccountNumber": "1004",
"ShipToSiteUseId": 1018,
"ShipToSite": "Tulsa (OPS)",
"ShipInvOrgId": 204,
"WareHouse": "Vision Operations",
"BillPlanId": 100000013568248,
"BillPlan": "BP PC1",
"RevenuePlanId": 100000013568253,
"RevenuePlan": "RP PC1",
"RevenueAmount": "0",
"OutputTaxClassificationCode": "CST",
"OutputTaxClassMeaning": "CST",
"TaxExemptionControl": null,
"TaxExemptionControlMeaning": null,
"ExemptCertificateNumber": null,
"ExemptReasonCode": null,
"ExemptReason": null,
"LastRevenueRecogDate": null,
"CustomerPONumber": null,
"DeliveryDate": null,
"SupplierId": null,
"Supplier": null,
"SupplierSiteId": null,
"SupplierSiteName": null,
"RecvInvOrgId": null,
"RecInvOrgName": null,
"RecvLocationId": null,
"ShipToOrgLocation": null,
"AgreementPriceOverAllwdYn": "N",
"FOBCode": null,
"FOB": null,
"FreightTermsCode": null,
"FreightTerms": null,
"PaymentTermsId": null,
"PaymentTerms": null,
"PurchasingCategoryId": null,
"PurchasingCategory": null,
"CarrierId": null,
"CarrierName": null,
"VendorSiteId": null,
"OrigSystemReference": null,
"OrigSystemSourceCode": null,
"Cognomen": null,
"TaxAmount": null,
"ExternalSource": null,
"ExternalKey": null,
"AllowPromotionsYn": "N",
"PricingEffectivityDate": null,
"DateCancelled": null,
"CancelReason": null,
"PriceAsOf": null,
"EstimatedVariableConsiderationAmount": null,
"StandaloneSellingPrice": null,
"PriceApplicationRule": null,
"AutoApplyStrategyPriceAdjustmentFlag": null,
"LinePuid": "LINE-94",
"SourceDocumentDisplayLineNumber": null,
"SourceDocumentDisplayNumber": null,
"SourceDocumentId": null,
"SourceDocumentLineId": null,
"SourceDocumentSystemCode": null,
"BillPlanExternalSource": null,
"BillPlanExternalKey": null,
"RevenuePlanExternalSource": null,
"RevenuePlanExternalKey": null,
"TrnSetCode": null,
"HoldReasonSetCode": null,
"ContractPuid": null,
"BillingControl": {
"items": [
{
"BillingControlId": 100000013568260,
"MajorVersion": 1,
"RbsElementId": null,
"BillingResource": null,
"StartDate": "2009-01-01",
"EndDate": null,
"SoftLimitAmount": 250000,
"HardLimitAmount": null,
"ActiveFlag": true,
"ExternalSourceKey": null,
"ExternalReferenceKey": null,
"@context": {
"key": "100000013568260,1",
"headers": {
"ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000278"
},
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine/100100095826471/child/BillingControl/100000013568260%2C1",
"name": "BillingControl",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine/100100095826471/child/BillingControl/100000013568260%2C1",
"name": "BillingControl",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine/100100095826471",
"name": "ContractLine",
"kind": "item"
}
]
}
}
],
"count": 1,
"hasMore": false,
"limit": 3,
"offset": 0,
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine/100100095826471/child/BillingControl",
"name": "BillingControl",
"kind": "collection"
}
]
},
"@context": {
"key": "100100095826471",
"headers": {
"ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000378"
},
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine/100100095826471",
"name": "ContractLine",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine/100100095826471",
"name": "ContractLine",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043",
"name": "contracts",
"kind": "item"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine/100100095826471/child/AssociatedProject",
"name": "AssociatedProject",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine/100100095826471/child/BillingControl",
"name": "BillingControl",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine/100100095826471/child/ContractAllLineDesFlexVA",
"name": "ContractAllLineDesFlexVA",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine/100100095826471/child/ContractLineTranslation",
"name": "ContractLineTranslation",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine/100100095826471/child/Milestone",
"name": "Milestone",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine/100100095826471/child/PricingTerm",
"name": "PricingTerm",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine/100100095826471/child/ProjectContractLineInternalAttributes",
"name": "ProjectContractLineInternalAttributes",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine/100100095826471/child/SalesCredit",
"name": "SalesCredit",
"kind": "collection"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine/100100095826471/action/refreshPricingTerms",
"name": "refreshPricingTerms",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine/100100095826471/action/removeTieredAdjustment",
"name": "removeTieredAdjustment",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine/100100095826471/action/getUpdatableAttributes",
"name": "getUpdatableAttributes",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine/100100095826471/action/reopen",
"name": "reopen",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine/100100095826471/action/applyHold",
"name": "applyHold",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine/100100095826471/action/removeHold",
"name": "removeHold",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine/100100095826471/action/close",
"name": "close",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine/100100095826471/action/cancel",
"name": "cancel",
"kind": "other"
},
{
"rel": "enclosure",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine/100100095826471/enclosure/SourceSystemAttributes",
"name": "SourceSystemAttributes",
"kind": "other"
}
]
}
},
{
"LineNumber": "3",
"Id": 100000013568261,
"LineId": 100100095826472,
"MajorVersion": 1,
"LineTypeId": 101,
"LineTypeName": "Free-form, project",
"StsCode": "DRAFT",
"LineStatus": "Draft",
"Object1Id1": null,
"Object1Id2": null,
"ItemName": "Amt. based Inv - Percent Complete Rev",
"ItemNameTxt": "Amt. based Inv - Percent Complete Rev",
"ItemDescription": null,
"StartDate": "2009-01-01",
"EndDate": null,
"PriceListId": null,
"PriceList": null,
"UOMCode": null,
"UnitOfMeasure": null,
"FixedPriceServiceYn": "N",
"ItemQuantity": null,
"UnitPrice": null,
"LineValueAmount": 250000,
"LineAmount": 250000,
"Comments": null,
"AgreedQuantity": null,
"AgreedAmount": null,
"AgreementQuantityLimit": null,
"AgreementAmountLimit": null,
"MinimumReleaseQuantity": null,
"MinimumReleaseAmount": null,
"CommitLevelCode": null,
"CommitLevel": null,
"PriceBookId": null,
"PriceBook": null,
"AllowPricelistOverrideYn": null,
"ListPrice": null,
"FloorPrice": null,
"AgreementPriceLimit": null,
"AgreementUnitPrice": null,
"AdjustmentTypeCode": null,
"AdjustmentType": null,
"AdjustmentBasisId": null,
"AdjustmentBasisCode": null,
"AdjustmentAmount": null,
"AllowCustomAdjustmentsFlag": null,
"DateTerminated": null,
"HoldUntilDate": null,
"TrnCodeSetId": null,
"TrnCode": null,
"CloseReason": null,
"HoldReasonCodeSetId": null,
"HoldReasonCode": null,
"HoldReason": null,
"AtRiskYn": "N",
"PercentComplete": null,
"ShipToAccountId": 1004,
"ShipToAccount": "Hilman and Associates",
"ShipToAccountNumber": "1004",
"ShipToSiteUseId": 1018,
"ShipToSite": "Tulsa (OPS)",
"ShipInvOrgId": 204,
"WareHouse": "Vision Operations",
"BillPlanId": 100000013568247,
"BillPlan": "BP AB1",
"RevenuePlanId": 100000013568253,
"RevenuePlan": "RP PC1",
"RevenueAmount": "0",
"OutputTaxClassificationCode": "CST",
"OutputTaxClassMeaning": "CST",
"TaxExemptionControl": null,
"TaxExemptionControlMeaning": null,
"ExemptCertificateNumber": null,
"ExemptReasonCode": null,
"ExemptReason": null,
"LastRevenueRecogDate": null,
"CustomerPONumber": null,
"DeliveryDate": null,
"SupplierId": null,
"Supplier": null,
"SupplierSiteId": null,
"SupplierSiteName": null,
"RecvInvOrgId": null,
"RecInvOrgName": null,
"RecvLocationId": null,
"ShipToOrgLocation": null,
"AgreementPriceOverAllwdYn": "N",
"FOBCode": null,
"FOB": null,
"FreightTermsCode": null,
"FreightTerms": null,
"PaymentTermsId": null,
"PaymentTerms": null,
"PurchasingCategoryId": null,
"PurchasingCategory": null,
"CarrierId": null,
"CarrierName": null,
"VendorSiteId": null,
"OrigSystemReference": null,
"OrigSystemSourceCode": null,
"Cognomen": null,
"TaxAmount": null,
"ExternalSource": null,
"ExternalKey": null,
"AllowPromotionsYn": "N",
"PricingEffectivityDate": null,
"DateCancelled": null,
"CancelReason": null,
"PriceAsOf": null,
"EstimatedVariableConsiderationAmount": null,
"StandaloneSellingPrice": null,
"PriceApplicationRule": null,
"AutoApplyStrategyPriceAdjustmentFlag": null,
"LinePuid": "LINE-95",
"SourceDocumentDisplayLineNumber": null,
"SourceDocumentDisplayNumber": null,
"SourceDocumentId": null,
"SourceDocumentLineId": null,
"SourceDocumentSystemCode": null,
"BillPlanExternalSource": null,
"BillPlanExternalKey": null,
"RevenuePlanExternalSource": null,
"RevenuePlanExternalKey": null,
"TrnSetCode": null,
"HoldReasonSetCode": null,
"ContractPuid": null,
"BillingControl": {
"items": [
{
"BillingControlId": 100000013568262,
"MajorVersion": 1,
"RbsElementId": null,
"BillingResource": null,
"StartDate": "2009-01-01",
"EndDate": null,
"SoftLimitAmount": 250000,
"HardLimitAmount": null,
"ActiveFlag": true,
"ExternalSourceKey": null,
"ExternalReferenceKey": null,
"@context": {
"key": "100000013568262,1",
"headers": {
"ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000278"
},
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine/100100095826472/child/BillingControl/100000013568262%2C1",
"name": "BillingControl",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine/100100095826472/child/BillingControl/100000013568262%2C1",
"name": "BillingControl",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine/100100095826472",
"name": "ContractLine",
"kind": "item"
}
]
}
}
],
"count": 1,
"hasMore": false,
"limit": 3,
"offset": 0,
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine/100100095826472/child/BillingControl",
"name": "BillingControl",
"kind": "collection"
}
]
},
"@context": {
"key": "100100095826472",
"headers": {
"ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000378"
},
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine/100100095826472",
"name": "ContractLine",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine/100100095826472",
"name": "ContractLine",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043",
"name": "contracts",
"kind": "item"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine/100100095826472/child/AssociatedProject",
"name": "AssociatedProject",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine/100100095826472/child/BillingControl",
"name": "BillingControl",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine/100100095826472/child/ContractAllLineDesFlexVA",
"name": "ContractAllLineDesFlexVA",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine/100100095826472/child/ContractLineTranslation",
"name": "ContractLineTranslation",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine/100100095826472/child/Milestone",
"name": "Milestone",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine/100100095826472/child/PricingTerm",
"name": "PricingTerm",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine/100100095826472/child/ProjectContractLineInternalAttributes",
"name": "ProjectContractLineInternalAttributes",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine/100100095826472/child/SalesCredit",
"name": "SalesCredit",
"kind": "collection"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine/100100095826472/action/refreshPricingTerms",
"name": "refreshPricingTerms",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine/100100095826472/action/removeTieredAdjustment",
"name": "removeTieredAdjustment",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine/100100095826472/action/getUpdatableAttributes",
"name": "getUpdatableAttributes",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine/100100095826472/action/reopen",
"name": "reopen",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine/100100095826472/action/applyHold",
"name": "applyHold",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine/100100095826472/action/removeHold",
"name": "removeHold",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine/100100095826472/action/close",
"name": "close",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine/100100095826472/action/cancel",
"name": "cancel",
"kind": "other"
},
{
"rel": "enclosure",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine/100100095826472/enclosure/SourceSystemAttributes",
"name": "SourceSystemAttributes",
"kind": "other"
}
]
}
}
],
"count": 3,
"hasMore": true,
"limit": 3,
"offset": 0,
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine",
"name": "ContractLine",
"kind": "collection"
}
]
},
"@context": {
"key": "100100069549043",
"headers": {
"ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000001B78"
},
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043",
"name": "contracts",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043",
"name": "contracts",
"kind": "item"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/AiGenerateSummaryDocs",
"name": "AiGenerateSummaryDocs",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/BillPlan",
"name": "BillPlan",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/BillingControl",
"name": "BillingControl",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractApprovalHistory",
"name": "ContractApprovalHistory",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractDocuments",
"name": "ContractDocuments",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractEsignHistory",
"name": "ContractEsignHistory",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractHeaderFlexfieldVA",
"name": "ContractHeaderFlexfieldVA",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractHeaderTranslation",
"name": "ContractHeaderTranslation",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractLine",
"name": "ContractLine",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractParty",
"name": "ContractParty",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractStatusHistory",
"name": "ContractStatusHistory",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ContractTerms",
"name": "ContractTerms",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/ExternalSharedDocuments",
"name": "ExternalSharedDocuments",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/InternalSharedDocuments",
"name": "InternalSharedDocuments",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/Note",
"name": "Note",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/RelatedDocument",
"name": "RelatedDocument",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/RevenuePlan",
"name": "RevenuePlan",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/SalesCredit",
"name": "SalesCredit",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/Section",
"name": "Section",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/SupportingDocuments",
"name": "SupportingDocuments",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/UploadedRevisions",
"name": "UploadedRevisions",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/contractKeyTermExtracts",
"name": "contractKeyTermExtracts",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/child/smartActions",
"name": "smartActions",
"kind": "collection"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/action/validateContract",
"name": "validateContract",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/action/createVersion",
"name": "createVersion",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/action/revertContract",
"name": "revertContract",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/action/sign",
"name": "sign",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/action/submitForApproval",
"name": "submitForApproval",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/action/downloadLatestContractDocument",
"name": "downloadLatestContractDocument",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/action/classifyKeyTerms",
"name": "classifyKeyTerms",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/action/stopApproval",
"name": "stopApproval",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/action/getUpdatableAttributes",
"name": "getUpdatableAttributes",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/action/reopen",
"name": "reopen",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/action/getAllInternalPartyContacts",
"name": "getAllInternalPartyContacts",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/action/getAllExternalPartyContacts",
"name": "getAllExternalPartyContacts",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/action/downloadAIContractSummaryPDF",
"name": "downloadAIContractSummaryPDF",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/action/isContractRedwoodCompatible",
"name": "isContractRedwoodCompatible",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/action/getDefaultTermsTemplate",
"name": "getDefaultTermsTemplate",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/action/applyHold",
"name": "applyHold",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/action/removeHold",
"name": "removeHold",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/action/cancel",
"name": "cancel",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/action/duplicate",
"name": "duplicate",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/action/preview",
"name": "preview",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/action/close",
"name": "close",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/action/amend",
"name": "amend",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/action/extractKeyTermValues",
"name": "extractKeyTermValues",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/action/downloadContractTermsInWord",
"name": "downloadContractTermsInWord",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/action/generateContractSummary",
"name": "generateContractSummary",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/action/shareInSupplierPortal",
"name": "shareInSupplierPortal",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/action/createContractEnvelopeForSignature",
"name": "createContractEnvelopeForSignature",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/action/manageContractEnvelopeStatus",
"name": "manageContractEnvelopeStatus",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/action/manageContractSignatureEnvelope",
"name": "manageContractSignatureEnvelope",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/action/removeContractTerms",
"name": "removeContractTerms",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/action/getSignedContractEnvelopeHistoryUrl",
"name": "getSignedContractEnvelopeHistoryUrl",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/action/addContractTermsStructured",
"name": "addContractTermsStructured",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/action/addContractTermsAttachedDocument",
"name": "addContractTermsAttachedDocument",
"kind": "other"
},
{
"rel": "enclosure",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069549043/enclosure/AiSummary",
"name": "AiSummary",
"kind": "other"
}
]
}
},
{
"Id": 100010027900177,
"MajorVersion": 1,
"ExternalSource": null,
"ExternalKey": null,
"InvConvRateTypeName": "Spot",
"InvConvRateDateTypeName": "Transaction date",
"OrgName": "Vision Operations",
"OrgId": 204,
"ContractTypeName": "Time and Material Controlled",
"ContractClass": "CONTRACT",
"ContractTypeId": 2006,
"ContractNumber": "Z_PJB_QA_Rate_MC_new",
"ContractNumberModifier": null,
"Cognomen": "Z_PJB_QA_Rate_MC",
"BuyOrSell": "S",
"PartyId": 1004,
"PartyName": "Hilman and Associates",
"InvOrganizationId": null,
"StsCode": "EXPIRED",
"CurrencyCode": "USD",
"StartDate": "2009-01-01",
"EndDate": "2010-12-31",
"TrnCode": null,
"SupplierId": null,
"SupplierSiteId": null,
"InvConvRateType": "Spot",
"InvConvRateDateType": "TRANSACTION",
"InvConvRateDate": null,
"InvTrxTypeId": 4,
"InvTrxTypeName": null,
"InvPrepayTrxTypeId": null,
"InvPrepayTrxTypeName": null,
"BillToAccountId": 1004,
"BillToAccount": "Hilman and Associates",
"BillToAccountNumber": "1004",
"BillToSiteUseId": 1017,
"BillToSiteUseLocation": "Tulsa (OPS)",
"BillToAddress": "1230 East 60th Street South,OK",
"ShipToAccountId": 1004,
"ShipToAccount": "Hilman and Associates",
"ShipToAccountNumber": "1004",
"ShipToSiteUseId": 1018,
"ShipToSiteUseLocation": "Tulsa (OPS)",
"ShipToAddress": "1230 East 60th Street South,OK",
"ShipToAccountDescription": "Hilman and Associates",
"SoldToAccountId": 1004,
"SoldToAccount": "Hilman and Associates",
"SoldToAccountNumber": "1004",
"SoldToSiteId": 1030,
"SoldToNumber": "San Jose (OPS)",
"SoldToAddress": "320 N First St,SAN JOSE, CA 95113",
"SoldToAccountDescription": "Hilman and Associates",
"ShipInvOrgId": null,
"RecvInvOrgId": null,
"LegalEntityId": 204,
"OutputTaxClassificationCode": "TX - Sales Tax",
"DateApproved": "2009-10-27",
"DatetimeCancelled": null,
"DateSigned": "2009-10-27",
"DateTerminated": null,
"TerminateCancelSource": null,
"ContributionPercent": 1,
"BillSequence": 1,
"OverallRiskCode": null,
"ShortDescription": null,
"Description": null,
"HoldReasonCode": null,
"HoldUntilDate": null,
"AmendmentEffectiveDate": null,
"TaxExemptionControl": "S",
"ExemptCertificateNumber": null,
"ExemptReasonCode": null,
"ProjectEnabledFlag": true,
"OutputTaxSetId": 204,
"PartyObjectType": "OKX_PARTY",
"PrimaryLedgerId": 1,
"CustomerPartyId": 1004,
"CustomerPartySiteId": 1018,
"GeneratedInvoiceStatus": "D",
"OwningOrgId": 204,
"NetInvoiceFlag": false,
"VersionType": "C",
"OwningOrgName": "Vision Operations",
"TaxClassificationMeaning": "TX - Sales Tax",
"ExemptionReasonMeaning": null,
"FreightTerms": null,
"FOB": null,
"ApTermsId": null,
"TermsEnabledFlag": false,
"AmendRenderedFlag": "true",
"DeleteRenderedFlag": "false",
"ShipToLocationId": null,
"CancelRenderedFlag": false,
"CloseRenderedFlag": "true",
"ApplyHoldRenderedFlag": "true",
"RemoveHoldRenderedFlag": "false",
"RevertRenderedFlag": "false",
"SignContractRenderedFlag": "false",
"ServiceEnabledFlag": "false",
"EstimatedAmount": 20000,
"TaxAmount": 0,
"LastUpdateDate": "2025-12-18T13:14:07+00:00",
"LastUpdateLogin": "6A199CBF1E870F01E0534180F50A7C56",
"LastUpdatedBy": "FUSION",
"VersionEnabledFlag": false,
"SubmitRenderedFlag": "false",
"CreatedBy": "OPERATIONS",
"CreationDate": "2009-10-27T00:00:00+00:00",
"CurrencyConversionEnabledFlag": "Y",
"LedgerCurrency": "USD",
"BilltoLocationId": null,
"StopApprovalRenderedFlag": "false",
"ValidateContractRenderedFlag": "true",
"AgreedAmount": null,
"AgreementAmountLimit": null,
"MinimumReleaseAmount": null,
"EncumbranceLevel": null,
"CarrierId": null,
"CarrierName": null,
"CloseReason": null,
"CancelReason": null,
"AuthoringPartyCode": null,
"PCDFileName": null,
"HoldReasonMeaning": null,
"PrimaryPartyId": 1004,
"OrigSystemId": 100000012640182,
"OrigSystemReference": "1",
"OrigSystemSourceCode": "OKCCOPY",
"ItemSourceCode": "PRODUCT_MASTER",
"StateTransitionFlowName": null,
"StateTransitionFlowState": "EXPIRED",
"UserStatusCode": null,
"AssigneeType": null,
"AssigneeId": null,
"Assignee": null,
"CustomerPONumber": null,
"ApprovalNote": null,
"AccessLevel": "UPDATE",
"ContractEditableFlag": "true",
"TemplateFlag": false,
"BillingSalesrepId": null,
"BillingSalesrepName": null,
"EnableManageSignature": "N",
"ReopenEnabledFlag": false,
"VersionDescription": null,
"AllowTeamUserBUAccess": "true",
"PriceList": null,
"AdjustmentBasis": null,
"CommitmentAmount": 0,
"DiscountPercent": null,
"AllowGrantContractType": "N",
"PriceListName": null,
"TrnCodeSetId": null,
"HoldReasonCodeSetId": null,
"WebServiceFlag": null,
"TermsTemplateId": null,
"ContractOwnerId": null,
"Status": "Expired",
"BuyOrSell_Meaning": "Sell",
"AuthoringPartyMeaning": null,
"InvOrgName": null,
"Supplier": null,
"SupplierSite": null,
"ShipInvOrg": null,
"RecvInvOrg": null,
"Currency": "US Dollar",
"UserStatusMeaning": null,
"LegalEntityName": "Vision Operations",
"ShipToOrgLocation": null,
"BillToLocation": null,
"AllowLinesFlag": true,
"EnableElectronicSignFlag": false,
"ContractTrueValue": null,
"ShipToPartyId": null,
"PricingStrategyId": null,
"PricingStrategyName": null,
"PricingSegmentCode": null,
"PricingEffectivityDate": null,
"ShipToPartyName": null,
"ShipToPartySiteLocation": null,
"CustomerPartyName": "Hilman and Associates",
"TermsTemplateName": null,
"TrxnExtensionId": null,
"BillToAccountPartyId": 1004,
"RenewalType": null,
"UnderMigrationFlag": null,
"TargetLineName": null,
"TargetLineId": null,
"TargetLineMajorVer": null,
"ContractId": 100100069549044,
"CorpCurrencyCode": null,
"CurcyConvRateType": null,
"PrimarySalesrepId": null,
"AmendNoVersionFlag": false,
"AutoSendForSignature": null,
"PriceApplicationRule": null,
"EsignTemplateId": null,
"SignContract": null,
"SendForSignature": null,
"NonStandardClauseCount": "0",
"CancelReasonSetCode": null,
"CloseReasonSetCode": null,
"HoldReasonSetCode": null,
"ContractPuid": "KHDR-81",
"EncumbranceLevelMeaning": null,
"FOBMeaning": null,
"FreightTermsMeaning": null,
"TaxExemptionControlMeaning": "Standard",
"SourceDocumentId": null,
"SourceDocumentSystemCode": null,
"SourceDocumentDisplayNumber": null,
"ApTermsName": null,
"RunContractExpertFlag": null,
"DocumentType": "ECM_SELL",
"ShareWithExternalPartyYn": "N",
"BaseContractYN": "N",
"SkipPDPFlag": null,
"InterCompanyFlag": false,
"InterProjectFlag": false,
"LineClassCode": "PROJECT",
"AiSummaryAttachInApprovalFlag": null,
"AiSummaryGenerateDate": null,
"AiSummaryPcdIncludedFlag": true,
"AiSummaryRequestId": null,
"AiSummaryRequestStatus": null,
"AiSummaryRequestStatusMeaning": null,
"SourceDocumentSystemMeaning": null,
"ContractTermsSourceCode": null,
"SimpleContractYn": null,
"TermsAuthoringPartyCode": null,
"AiAdvisorAgentFlag": null,
"TermsAuthoringPartyMeaning": null,
"ContractTermsSourceMeaning": null,
"FulfillmentStatus": null,
"FulfillmentStatusMeaning": null,
"PoDocumentStyleDisplay": null,
"PoDocumentStatusDisplay": null,
"PoSupplierName": null,
"PoHeaderId": null,
"PoVersionId": null,
"ProcessingId": null,
"ShareInSupplierPortalRenderedFlag": false,
"RedwoodFlag": null,
"ExtractKeyTermsRenderedFlag": false,
"PoDocumentNumber": null,
"AiSummSubmittedBy": null,
"AiSummSubmittedDate": null,
"AiSummSubmittedByDispName": null,
"SmartRedlineAgentTeamCode": null,
"ContractConstant": "CONTRACT",
"PoDocumentStatusCode": null,
"FulfillmentChrId": null,
"ContractLine": {
"items": [
{
"LineNumber": "1",
"Id": 100010027900178,
"LineId": 100100095826357,
"MajorVersion": 1,
"LineTypeId": 101,
"LineTypeName": "Free-form, project",
"StsCode": "EXPIRED",
"LineStatus": "Expired",
"Object1Id1": null,
"Object1Id2": null,
"ItemName": "1",
"ItemNameTxt": "1",
"ItemDescription": "Line 1",
"StartDate": "2009-01-01",
"EndDate": "2010-12-31",
"PriceListId": null,
"PriceList": null,
"UOMCode": null,
"UnitOfMeasure": null,
"FixedPriceServiceYn": "N",
"ItemQuantity": null,
"UnitPrice": null,
"LineValueAmount": 20000,
"LineAmount": 20000,
"Comments": null,
"AgreedQuantity": null,
"AgreedAmount": null,
"AgreementQuantityLimit": null,
"AgreementAmountLimit": null,
"MinimumReleaseQuantity": null,
"MinimumReleaseAmount": null,
"CommitLevelCode": null,
"CommitLevel": null,
"PriceBookId": null,
"PriceBook": null,
"AllowPricelistOverrideYn": null,
"ListPrice": null,
"FloorPrice": null,
"AgreementPriceLimit": null,
"AgreementUnitPrice": null,
"AdjustmentTypeCode": null,
"AdjustmentType": null,
"AdjustmentBasisId": null,
"AdjustmentBasisCode": null,
"AdjustmentAmount": null,
"AllowCustomAdjustmentsFlag": null,
"DateTerminated": null,
"HoldUntilDate": null,
"TrnCodeSetId": null,
"TrnCode": null,
"CloseReason": null,
"HoldReasonCodeSetId": null,
"HoldReasonCode": null,
"HoldReason": null,
"AtRiskYn": "N",
"PercentComplete": null,
"ShipToAccountId": null,
"ShipToAccount": null,
"ShipToAccountNumber": null,
"ShipToSiteUseId": null,
"ShipToSite": null,
"ShipInvOrgId": null,
"WareHouse": null,
"BillPlanId": 100000013634004,
"BillPlan": "PJB_BP_Rate_MC",
"RevenuePlanId": 100000013634006,
"RevenuePlan": "PJB_RP_AsIncurred_MC",
"RevenueAmount": "0",
"OutputTaxClassificationCode": null,
"OutputTaxClassMeaning": null,
"TaxExemptionControl": null,
"TaxExemptionControlMeaning": null,
"ExemptCertificateNumber": null,
"ExemptReasonCode": null,
"ExemptReason": null,
"LastRevenueRecogDate": null,
"CustomerPONumber": null,
"DeliveryDate": null,
"SupplierId": null,
[...]
